Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.util
Class Vars

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xquery.util.Vars

    public final class Vars

extends ExprInfo

Variables.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`int` | `size` Number of stored variables.
`Var[]` | `vars` Variable expressions.

Constructor Summary
`Vars()`

Method Summary
`Var` | `get(Var v)` Finds and returns the specified variable.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### vars

    public Var[] vars

  Variable expressions.

### size

    public int size

  Number of stored variables.

Constructor Detail

### Vars

    public Vars()

Method Detail

### get

    public Var get(Var v)

  Finds and returns the specified variable.

  Parameters:
    `v` - variable
  Returns:
    variable

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Specified by:
    `plan` in class `ExprInfo`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD